﻿using System;
using Amqp;

namespace send
{
    class Program
    {
        static void Main(string[] args)
        {
            string url = "amqp://localhost:61616";
            string addr = "sampleTopic";

            Address a = new Address(url);
            Connection c = new Connection(a);
            Session s = new Session(c);
            SenderLink sl = new SenderLink(s, "sender", addr);

            Console.WriteLine("Sending random metrics to " + url + "/" + addr);

            var rand = new Random();
            while (true) {
                Message msg = new Message(rand.Next(10000).ToString());
                sl.Send(msg);
                Console.WriteLine("Sent: " + msg.Body.ToString());
                System.Threading.Thread.Sleep(1000);
            }
        }
    }
}
