﻿namespace metrics_sender
{
    using System;
    using Amqp;

    class MetricsSender
    {
        static void Main(string[] args)
        {
            string url = "amqp://localhost:61616";
            string address = "sampleQueue";

            Address addr = new Address(url);
            Connection c = new Connection(addr);
            Session s = new Session(c);
            SenderLink sl = new SenderLink(s, "sender", address);

            Console.WriteLine("Sending random metrics to " + url + "/" + address);
            var rand = new Random();
            while (true) {
                Message msg = new Message(rand.Next(10000).ToString());
                sl.Send(msg);
                Console.WriteLine("Sent: " + msg.Body.ToString());
                System.Threading.Thread.Sleep(1000);
            }
        }
    }
}
